package RPM::Source::Transformation::Factory::Batch::Plugin::Sourcedep;

use strict;
use warnings;

use Text::ParseWords;
use RPM::Source::Dependency::Analyzer::Sourcedep::Commandline 0.002;
use RPM::Source::Transformation::Resource::DependencyAnalyzer::Storage;
use RPM::Source::Transformation::Factory::DependencyAnalyzer::Resolver;
use RPM::Source::Transformation::Factory::Batch;
&RPM::Source::Transformation::Factory::Batch::register_plugin('sourcedep' => \&plugin_sourcedep,);

sub plugin_sourcedep {
    my ($spec,undef,$resourceobj,$cmd,$argstring)=@_;
    unless ($argstring) {
	warn 'Batch: ', $cmd, ": no arguments\n";
	return 0;
    }
    my @argv=shellwords($argstring);
    my $distroinfo=$resourceobj->get_dest_distroinfo();
    my $storage=$resourceobj->dependency_analyzer_storage;
    return &RPM::Source::Dependency::Analyzer::Sourcedep::Commandline::process_argv($distroinfo,$storage,$cmd,@argv);
}

1;
