package RPM::Source::Transformation::InputHandler::Batch;

use strict;
use warnings;

use RPM::Source::Transform;
use RPM::Source::Transformation::Factory::Batch;
use RPM::Source::Transformation::Component::InputNameCommon;
use RPM::Source::Transformation::Component;
our @ISA=qw/RPM::Source::Transformation::Component/;

$RPM::Source::TransformContainer::INPUT_HANDLER=__PACKAGE__;

our $VERSION=0.001;
my $name2batch;
my $name2nvr;
sub process_args{
    $name2batch=$RPM::Source::Transformation::Factory::Batch::name2batch;
    $name2nvr=$RPM::Source::Transformation::Factory::Batch::name2nvr;
}

sub verify_args {
    my $class=shift;
    if (not @RPM::Source::Transformation::Factory::Batch::opt_batchfiles) {
	$class->usage();
	return 0;
    }
    return 1;
}

package RPM::Source::Transform;

use strict;
use warnings;

sub transform {
    foreach my $rpmname (sort {$a cmp $b} keys(%$name2batch)) {
	my $converter_opt=RPM::Source::TransformContainer->mk_opt();
	my $resourceobj=RPM::Source::TransformContainer->mk_resourceobj();
	my $spec=$RPM::Source::TransformContainer::Name2SpecProvider->name2spec($rpmname,$converter_opt,$resourceobj);
	my $nvr=$name2nvr->{$rpmname};
	$converter_opt->{-input_handler_arg_input_name}=$rpmname;
	$converter_opt->{-input_handler_arg_input_nvr}=$nvr if $nvr;
	RPM::Source::TransformContainer->transform_once($spec,undef,$converter_opt,$resourceobj);
    }
}

1;
